Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Class GenericSessionBean

    java.lang.Object
      |
      +--weblogic.ejb.GenericEnterpriseBean
            |
            +--weblogic.ejb.GenericSessionBean

public abstract class GenericSessionBean
extends GenericEnterpriseBean
implements javax.ejb.SessionBean

Author:
  Copyright (c) 2001 by BEA Systems. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`GenericSessionBean()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbRemove()`
`protected javax.ejb.SessionContext` | `getSessionContext()`
`void` | `setSessionContext(javax.ejb.SessionContext c)`

Methods inherited from class weblogic.ejb.GenericEnterpriseBean
`getCurrentTransaction, getCurrentTransactionStatus, getCurrentXID, getEnvEntry, getInitialContext, getTransactionManager, isTracingEnabled, logDebugMessage, logDebugMessage, logErrorMessage, logErrorMessage, setTracingEnabled, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericSessionBean

    public GenericSessionBean()

Method Detail

### setSessionContext

    public void setSessionContext(javax.ejb.SessionContext c)

  Specified by:
    setSessionContext in interface javax.ejb.SessionBean

### getSessionContext

    protected javax.ejb.SessionContext getSessionContext()

### ejbCreate

    public void ejbCreate()
                   throws javax.ejb.CreateException

### ejbRemove

    public void ejbRemove()

  Specified by:
    ejbRemove in interface javax.ejb.SessionBean

### ejbActivate

    public void ejbActivate()

  Specified by:
    ejbActivate in interface javax.ejb.SessionBean

### ejbPassivate

    public void ejbPassivate()

  Specified by:
    ejbPassivate in interface javax.ejb.SessionBean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference